Package com.google.android.exoplayer2.offline

## Interface FilterableManifest<T>

- Type Parameters:
    `T` - The manifest type.
  All Known Implementing Classes:
    `DashManifest`, `HlsMasterPlaylist`, `HlsMediaPlaylist`, `HlsMultivariantPlaylist`, `HlsPlaylist`, `SsManifest`

      public interface FilterableManifest<T>

  A manifest that can generate copies of itself including only the streams specified by the given keys.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `copy​(List<StreamKey> streamKeys)` | Returns a copy of the manifest including only the streams specified by the given keys.

- - ### Method Detail

    - #### copy

          T copy​(List<StreamKey> streamKeys)

      Returns a copy of the manifest including only the streams specified by the given keys. If the manifest is unchanged then the instance may return itself.
      Parameters:
        `streamKeys` - A non-empty list of stream keys.
      Returns:
        The filtered manifest.